#lindelwa dlamini
rm(list=ls())
library(ordinal)

data_lindelwa <- read.table("C:\\Users\\kowiyouy\\OneDrive - University of Johannesburg\\Desktop\\UJ\\MSc\\2019\\MSc supervision\\Enviro\\2019\\Lindelwa\\dissertation\\data analysis\\data_resident.txt",header=TRUE)
attach(data_lindelwa)
names(data_lindelwa)

fn1 <- factor(satisfaction_water_saving_measures,ordered = TRUE, levels=c("not","neutral","somewhat","high","very_high"))#define the ranking factor
model1 <- clm(fn1~Gender+Age_approx+residence_time,data=data_lindelwa)#fitting the clm model
summary(model1)
#results show a negative correlation between residence time and satisfaction level vis-a-vis water saving measures implemented
#such that people who reside there for long tend to be less satisfied (beta=-0.7+/-0.30,P=0.06)
#                 Estimate Std. Error z value Pr(>|z|)  
# GenderMale     -0.418647   0.375244  -1.116   0.2646  
# Age_approx      0.002565   0.027017   0.095   0.9244  
# residence_time -0.702039   0.380213  -1.846   0.0648.

fn2 <- factor(satisfaction_water_flow_restrictors,ordered = TRUE, levels=c("not","neutral","somewhat","high","very_high"))
model2 <- clm(fn2~Gender+Age_approx+residence_time,data=data_lindelwa)
summary(model2)
# results: none of the variables tested correlate with the satisfaction level vis a vis the water_flow_restrictors installed in the building.
#                 Estimate Std. Error z value Pr(>|z|)
# GenderMale     -0.438637   0.372771  -1.177    0.239
# Age_approx      0.009408   0.027090   0.347    0.728
# residence_time -0.623081   0.405541  -1.536    0.124

fn3 <- factor(satisfaction_information_displayed_on_water_meters,ordered = TRUE, levels=c("not","neutral","somewhat","high","very_high"))
model3 <- clm(fn3~Gender+Age_approx+residence_time,data=data_lindelwa)
summary(model3)
#results show that male tend to be less satisfied (P=0.02), so too are people who reside in the buidling for long. However, old people tend to be satisfied.
#                 Estimate Std. Error z value Pr(>|z|)  
# GenderMale     -0.84011    0.38452  -2.185   0.0289 *
# Age_approx      0.04661    0.02710   1.720   0.0854 .
# residence_time -0.75144    0.39779  -1.889   0.0589 .
